Name:           perl-Catalyst-Plugin-ConfigLoader
Summary:        Load config files of various types
Version:        0.27
Release:        4%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/B/BR/BRICAS/Catalyst-Plugin-ConfigLoader-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/Catalyst-Plugin-ConfigLoader/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Catalyst::Runtime) >= 5.7008
BuildRequires:  perl(Config::Any) >= 0.08
BuildRequires:  perl(Data::Visitor) >= 0.24
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(MRO::Compat) >= 0.09
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::More)

Requires:       perl(Catalyst::Runtime) >= 5.7008
Requires:       perl(Config::Any) >= 0.08
Requires:       perl(Data::Visitor) >= 0.24
Requires:       perl(MRO::Compat) >= 0.09


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl formats.

%prep
%setup -q -n Catalyst-Plugin-ConfigLoader-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.27-4
- Mass rebuild with perl-5.12.0

* Tue Feb 23 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.27-3
- update by Fedora::App::MaintainerTools 0.003
- PERL_INSTALL_ROOT => DESTDIR
- dropped old BR on perl(Catalyst)
- dropped old BR on perl(Test::Pod)
- dropped old BR on perl(Test::Pod::Coverage)
- dropped old requires on perl(Catalyst)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.27-2
- rebuild against perl 5.10.1

* Tue Aug 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.27-1
- auto-update to 0.27 (by cpan-spec-update 0.01)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.25-2
- add BR on parent (and open RT#48547)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.25-1
- auto-update to 0.25 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new req on perl(Catalyst::Runtime) (version 5.7008)
- added a new req on perl(Config::Any) (version 0.08)
- added a new req on perl(Data::Visitor) (version 0.24)
- added a new req on perl(MRO::Compat) (version 0.09)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- auto-update to 0.23 (by cpan-spec-update 0.01)
- added a new br on perl(Catalyst::Runtime) (version 5.7008)
- altered br on perl(Config::Any) (0.04 => 0.08)
- altered br on perl(Data::Visitor) (0.02 => 0.24)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.22-1
- update to 0.22
- add br on MRO::Compat

* Wed Oct 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-2
- drop _with_network_tests bit

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21

* Sat May 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update to 0.20

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.14-4
- rebuild for new perl

* Wed May 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-3
- bump

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-2
- conditionalize test which fails in mock (requires network access)

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- Specfile autogenerated by cpanspec 1.71.
